%define module_name MarpaX-Grammar-GraphViz2
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Config/Tiny.pm) perl(Cwd.pm) perl(Date/Simple.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/HomeDir.pm) perl(File/ShareDir.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(FileHandle.pm) perl(GraphViz2.pm) perl(HTML/Entities/Interpolate.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/AllUtils.pm) perl(Log/Handler.pm) perl(MarpaX/Grammar/Parser.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Socket.pm) perl(Text/Xslate.pm) perl(Types/Standard.pm) perl(YAML/Tiny.pm) perl(open.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.00
Release: alt1
Summary: Convert a Marpa grammar into an image
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RS/RSAVAGE/%{module_name}-%{version}.tgz
BuildArch: noarch

%description
For a given BNF, process the cooked tree output by the MarpaX::Grammar::Parser manpage, and turn it into an
image.

The tree holds a representation of the user's BNF (SLIF-DSL), and is managed by the Tree::DAG_Node manpage.

This modules uses the MarpaX::Grammar::Parser manpage internally. It does not read that module's output file.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes Changelog.ini LICENSE
%perl_vendor_privlib/M*
%perl_vendor_privlib/auto/*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.00-alt1
- regenerated from template by package builder

* Thu Jun 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- initial import by package builder

